Skip to main content
GET
/
events
/
{event_id}
Get Event
curl --request GET \
  --url https://api.example.com/events/{event_id}
{
  "agent_id": "<string>",
  "id": "<string>",
  "sequence_id": 123,
  "task_id": "<string>",
  "content": {
    "text": "<string>",
    "type": "text"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "streamCapabilities": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

event_id
string
required

Response

Successful Response

Event returned from the events API.

Content is TextPart or DataPart (human-readable content only).

agent_id
string
required

The UUID of the agent that the event belongs to

id
string
required

The UUID of the event

sequence_id
integer
required

The sequence ID of the event

task_id
string
required

The UUID of the task that the event belongs to

content
TextPart · object

Text content part.

created_at
string<date-time> | null

The timestamp of the event

streamCapabilities
string[] | null

Server-advertised stream lifecycle capabilities for this event